### Virtual Method

# Gio DBusObjectManager get_objects

since: 2.30

#### Declaration [src]

    GList*
    get_objects (
      GDBusObjectManager* manager
    )

#### Description [src]

Gets all `GDBusObject` objects known to `manager`.

Available since: 2.30

#### Return value

Type: A list of `GDBusObject*`

A list of `GDBusObject` objects. The returned list should be freed with `g_list_free()` after each element has been freed with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.